require 'test_helper'

class ChildTest < ActiveSupport::TestCase
  def test_sanity
    assert Child
  end

  def test_relations
    non_relatives = Child.not_related_to people(:marlin)
    smiths_count = non_relatives.where(last_name: 'smith').count

    assert_equal 0, smiths_count
    assert_equal 1, non_relatives.count
  end
end
